ALTER FUNCTION()

NAME
ALTER FUNCTION - change the definition of a function

SYNOPSIS

ALTER FUNCTION name ( [ type [, ...] ] ) RENAME TO newname

DESCRIPTION

ALTER FUNCTION changes the definition of a function. The only functionality is to rename the function.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing function.

type
    The data type of an argument of the function.

newname
    The new name of the function.

EXAMPLES

To rename the function sqrt for type integer to square_root:

ALTER FUNCTION sqrt(integer) RENAME TO square_root;

COMPATIBILITY

There is an ALTER FUNCTION statement in the SQL standard, but it does not provide the option to rename the function.

SEE ALSO
CREATE FUNCTION [create_function(7)], DROP FUNCTION [drop_function(l)]